Page MenuHomeVyOS Platform

Pseudo-ethernet Interfaces Not Loaded on Boot
Closed, ResolvedPublicBUG

Description

It appears that on the most recent rolling releases, pseudo-ethernet interfaces are not loaded on boot. I'm not sure if it's related to the fact that the source-interface is a bond or not, but it's worth mentioning.
Here's before reboot:

vyos@cr01b-vyos# show interfaces pseudo-ethernet
 pseudo-ethernet peth0 {
     address 192.168.100.4/24
     description "MB8600 Management"
     source-interface bond1
 }
[edit]
vyos@cr01b-vyos# save
Saving configuration to '/config/config.boot'...
Done
[edit]
vyos@cr01b-vyos# run show ver
Version:          VyOS 1.3-rolling-202004200117
Release Train:    equuleus

Built by:         autobuild@vyos.net
Built on:         Mon 20 Apr 2020 01:17 UTC
Build UUID:       af36ba7c-3320-43df-bdf3-b3c2e3a79a19
Build Commit ID:  b385de7f4317f7

Architecture:     x86_64
Boot via:         installed image
System type:      KVM guest

Hardware vendor:  Red Hat
Hardware model:   KVM
Hardware S/N:
Hardware UUID:    46be2e86-3597-4d89-a990-16357589eb49

Copyright:        VyOS maintainers and contributors
[edit]
vyos@cr01b-vyos# exit
exit
vyos@cr01b-vyos:~$ show int pseudo-ethernet peth0
peth0@bond1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 16:24:4f:41:3b:22 brd ff:ff:ff:ff:ff:ff
    inet 192.168.100.4/24 scope global peth0
       valid_lft forever preferred_lft forever
    inet 192.168.100.2/24 scope global secondary peth0
       valid_lft forever preferred_lft forever
    inet6 fe80::1424:4fff:fe41:3b22/64 scope link 
       valid_lft forever preferred_lft forever
    Description: MB8600 Management

    RX:  bytes    packets     errors    dropped    overrun      mcast
       6732870     112157          0          0          0     112157
    TX:  bytes    packets     errors    dropped    carrier collisions
         25574        469          0          0          0          0
vyos@cr01b-vyos:~$ reboot
Are you sure you want to reboot this system? [y/N] y
client_loop: send disconnect: Broken pipe

After reboot:

sh-4.4$ ssh vyos@cr01b-vyos -p 53490
Welcome to VyOS
vyos@cr01b-vyos's password: 
Linux cr01b-vyos 4.19.116-amd64-vyos #1 SMP Sat Apr 18 12:57:29 UTC 2020 x86_64

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Sun Apr 19 22:16:35 2020 from 192.168.0.3
vyos@cr01b-vyos:~$ configure
[edit]
vyos@cr01b-vyos# show interfaces pseudo-ethernet
Configuration under specified path is empty
[edit]
vyos@cr01b-vyos# load
Loading configuration from 'config.boot'
Load complete. Use 'commit' to make changes effective.
[edit]
vyos@cr01b-vyos# comp
[edit interfaces]
+pseudo-ethernet peth0 {
+    address 192.168.100.4/24
+    description "MB8600 Management"
+    source-interface bond1
+}
[edit]
vyos@cr01b-vyos# commit
[ interfaces pseudo-ethernet peth0 address 192.168.100.4/24 ]



[edit]

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.3-rolling-202004200117
Why the issue appeared?
Issues in third-party code
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po closed this task as Resolved.Apr 20 2020, 5:55 AM
c-po claimed this task.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
trae32566 reopened this task as Open.Apr 21 2020, 12:43 AM

Just tested this using 1.3-rolling-202004201924 and it still happens, so that doesn't appear to have worked.

c-po added a comment.Apr 21 2020, 2:22 PM

Next rolling will have the definitive fix :)

c-po closed this task as Resolved.Apr 21 2020, 2:22 PM
pasik added a subscriber: pasik.Apr 21 2020, 2:59 PM

Yup that did it. Thanks!

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:22 PM